mscorlib 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false) System.Runtime.InteropServices.ComVisible(true) System.Runtime.InteropServices.Guid("17156360-2F1A-384A-BC52-FDE93C215C5B") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsDual) System.Runtime.InteropServices.TypeLibImportClass(typeof(System.Reflection.Assembly))

This interface is for access to managed classes from unmanaged code, and should not be called from managed code.

This interface preserves the vtable order of the class members that can be accessed by unmanaged COM objects.

Exposes the public members of the class to unmanaged code.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the location of the assembly as specified originally, for example, in an object.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method locates the specified type from this assembly and creates an instance of it using the system activator, using case-sensitive search.

  Provides COM objects with version-independent access to the method.

  An instance of representing the type, with culture, arguments, binder, and activation attributes set to null, and set to Public or Instance, or null if is not found.

  The of the type to locate. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method locates the specified type from this assembly and creates an instance of it using the system activator, with optional case-sensitive search.

  Provides COM objects with version-independent access to the method.

  An instance of representing the type, with culture, arguments, binder, and activation attributes set to null, and set to Public or Instance, or null if is not found.

  The of the type to locate. true to ignore the case of the type name; otherwise, false. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` `` `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method locates the specified type from this assembly and creates an instance of it using the system activator, with optional case-sensitive search and having the specified culture, arguments, and binding and activation attributes.

  Provides COM objects with version-independent access to the method.

  An instance of Object representing the type and matching the specified criteria, or null if is not found.

  The of the type to locate. true to ignore the case of the type name; otherwise, false. A bitmask that affects how the search is conducted. The value is a combination of bit flags from . An object that enables the binding, coercion of argument types, invocation of members, and retrieval of MemberInfo objects via reflection. If is null, the default binder is used. An array of type Object containing the arguments to be passed to the constructor. This array of arguments must match in number, order, and type the parameters of the constructor to be invoked. If the default constructor is desired, must be an empty array or null. An instance of CultureInfo used to govern the coercion of types. If this is null, the CultureInfo for the current thread is used. (This is necessary to convert a String that represents 1000 to a Double value, for example, since 1000 is represented differently by different cultures.) An array of type Object containing one or more activation attributes that can participate in the activation. An example of an activation attribute is: 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo To be added.

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the entry point of this assembly.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method determines whether the specified is equal to the current .

  Provides COM objects with version-independent access to the method.

  true if the specified is equal to the current ; otherwise, false.

  The to compare with the current . 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the URI, including escape characters, that represents the codebase.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Policy.Evidence To be added.

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the evidence for this assembly.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the display name of the assembly.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets all the custom attributes for this assembly.

  Provides COM objects with version-independent access to the method.

  An array of type Object containing the custom attributes for this assembly.

  This argument is ignored for objects of type . 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets all the custom attributes for this assembly.

  Provides COM objects with version-independent access to the method.

  An array of type containing the custom attributes for this assembly as specified by .

  The for which the custom attributes are to be returned. This argument is ignored for objects of type . 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type[]

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the exported types defined in this assembly that are visible outside the assembly.

  Provides COM objects with version-independent access to the property.

  An array of objects that represent the types defined in this assembly that are visible outside the assembly.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.FileStream ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets a for the specified file in the file table of the manifest of this assembly.

  Provides COM objects with version-independent access to the method.

  A for the specified file, or null if the file is not found.

  The name of the specified file. Do not include the path to the file. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.FileStream[]

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets the files in the file table of an assembly manifest.

  Provides COM objects with version-independent access to the method.

  An array of objects.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.FileStream[] ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets the files in the file table of an assembly manifest, specifying whether to include resource modules.

  Provides COM objects with version-independent access to the method.

  An array of objects.

  true to include resource modules; otherwise, false. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method serves as a hash function for a particular type. is suitable for use in hashing algorithms and data structures like a hash table.

  Provides COM objects with version-independent access to the method.

  A hash code for the current .

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Module[]

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets all the loaded modules that are part of this assembly.

  Provides COM objects with version-independent access to the method.

  An array of modules.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Module[] ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets all the loaded modules that are part of this assembly, specifying whether to include resource modules.

  Provides COM objects with version-independent access to the method.

  An array of modules.

  true to include resource modules; otherwise, false. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ManifestResourceInfo ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method returns information about how the given resource has been persisted.

  Provides COM objects with version-independent access to the method.

  A object populated with information about the resource's topology, or null if the resource is not found.

  The case-sensitive name of the resource. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String[]

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method returns the names of all the resources in this assembly.

  Provides COM objects with version-independent access to the method.

  An array of type String containing the names of all the resources.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.Stream ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method loads the specified manifest resource from this assembly.

  Provides COM objects with version-independent access to the method.

  A representing this manifest resource.

  The case-sensitive name of the manifest resource being requested. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.Stream `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method loads the specified manifest resource, scoped by the namespace of the specified type, from this assembly.

  Provides COM objects with version-independent access to the method.

  A representing this manifest resource.

  The type whose namespace is used to scope the manifest resource name. The case-sensitive name of the manifest resource being requested. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Module ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets the specified module in this assembly.

  Provides COM objects with version-independent access to the method.

  The module being requested, or null if the module is not found.

  The name of the module being requested. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Module[]

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets all the modules that are part of this assembly.

  Provides COM objects with version-independent access to the method.

  An array of modules.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Module[] ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets all the modules that are part of this assembly, specifying whether to include resource modules.

  Provides COM objects with version-independent access to the method.

  An array of modules.

  true to include resource modules; otherwise, false. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.AssemblyName

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets an for this assembly.

  Provides COM objects with version-independent access to the method.

  An for this assembly.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.AssemblyName ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets an for this assembly, setting the codebase as specified by the parameter.

  Provides COM objects with version-independent access to the method.

  An for this assembly.

  true to set the to the location of the assembly after it was shadow copied; false to set to the original location. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets serialization information with all of the data needed to reinstantiate this assembly.

  Provides COM objects with version-independent access to the method.

  The object to be populated with serialization information. The destination context of the serialization. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.AssemblyName[]

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets the objects for all the assemblies referenced by this assembly.

  Provides COM objects with version-independent access to the method.

  An array of type containing all the assemblies referenced by this assembly.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Assembly ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets the satellite assembly for the specified culture.

  Provides COM objects with version-independent access to the method.

  The specified satellite assembly.

  The specified culture. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Assembly `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets the specified version of the satellite assembly for the specified culture.

  Provides COM objects with version-independent access to the method.

  The specified satellite assembly.

  The specified culture. The version of the satellite assembly. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets the type of the current instance.

  Provides COM objects with version-independent access to the method.

  A object.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets the object with the specified name in the assembly instance.

  Provides COM objects with version-independent access to the method.

  A object that represents the specified class, or null if the class is not found.

  The full name of the type. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets the object with the specified name in the assembly instance and optionally throws an exception if the type is not found.

  Provides COM objects with version-independent access to the method.

  A object that represents the specified class.

  The full name of the type. true to throw an exception if the type is not found; false to return null. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets the object with the specified name in the assembly instance, with the options of ignoring the case, and of throwing an exception if the type is not found.

  Provides COM objects with version-independent access to the method.

  A object that represents the specified class.

  The full name of the type. true to throw an exception if the type is not found; false to return null. true to ignore the case of the type name; otherwise, false. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type[]

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets the types defined in this assembly.

  Provides COM objects with version-independent access to the method.

  An array of type containing objects for all the types defined in this assembly.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the assembly was loaded from the global assembly cache.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method indicates whether a custom attribute identified by the specified is defined.

  Provides COM objects with version-independent access to the method.

  true if a custom attribute identified by the specified is defined; otherwise, false.

  The of the custom attribute to be checked for this assembly. This argument is ignored for objects of this type. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Module `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method loads the module, internal to this assembly, with a Common Object File Format (COFF)-based image containing an emitted module, or a resource file.

  Provides COM objects with version-independent access to the method.

  The loaded Module.

  Name of the module. Must correspond to a file name in this assembly's manifest. A byte array that is a COFF-based image containing an emitted module, or a resource. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Module `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method loads the module, internal to this assembly, with a Common Object File Format (COFF)-based image containing an emitted module, or a resource file. The raw bytes representing the symbols for the module are also loaded.

  Provides COM objects with version-independent access to the method.

  The loaded module.

  Name of the module. Must correspond to a file name in this assembly's manifest. A byte array that is a COFF-based image containing an emitted module, or a resource. A byte array containing the raw bytes representing the symbols for the module. Must be null if this is a resource file. 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the path or Universal Naming Convention (UNC) location of the loaded file that contains the manifest.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Event
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ModuleResolveEventHandler

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The event occurs when the common language runtime class loader cannot resolve a reference to an internal module of an assembly through normal means.

  Provides COM objects with version-independent access to the event.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method returns the full name of the assembly, also known as the display name.

  Provides COM objects with version-independent access to the method.

  The full name of the assembly, or the class name if the full name of the assembly cannot be determined.

  2.0.0.0